> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 리스트 포스트

> 리스트 타임라인에서 포스트를 조회합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

List Posts 엔드포인트를 사용하면 리스트 타임라인에서 포스트를 조회할 수 있습니다. 리스트의 모든 멤버가 작성한 최신 포스트를 가져올 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="리스트 타임라인" icon="list">
    리스트 멤버의 포스트를 가져옵니다.
  </Card>

  <Card title="큐레이션된 피드" icon="stream">
    큐레이션된 콘텐츠 피드에 액세스합니다.
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| 메서드 | 엔드포인트                                                   | 설명               |
| :-- | :------------------------------------------------------ | :--------------- |
| GET | [`/2/lists/:id/tweets`](/ko/x-api/lists/get-list-posts) | 리스트에서 포스트를 가져옵니다 |

***

<div id="example-request">
  ## 요청 예시
</div>

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890/tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username&\
max_results=100" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔에서 생성된 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/lists/list-tweets/quickstart">
    리스트에서 포스트 가져오기
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/lists/list-tweets/integrate">
    핵심 개념과 모범 사례
  </Card>

  <Card title="리스트 조회" icon="list" href="/ko/x-api/lists/list-lookup/introduction">
    리스트 세부 정보 가져오기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/lists/list-tweets-lookup">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
